package com.nisum.dao;

import java.util.Collection;
import java.util.Optional;

public interface Dao<T> {
  Optional<T> getById(int id);
  Collection<T> getAll();

  void save(T t);
  void update(T t);
  void delete(T t);
}
